org.springframework.jdbc.core.simple

## Class ParameterizedBeanPropertyRowMapper<T>

- java.lang.Object
- - org.springframework.jdbc.core.BeanPropertyRowMapper<T>
  - - org.springframework.jdbc.core.simple.ParameterizedBeanPropertyRowMapper<T>

- All Implemented Interfaces:
    RowMapper<T>, ParameterizedRowMapper<T>

      public class ParameterizedBeanPropertyRowMapper<T>
      extends BeanPropertyRowMapper<T>
      implements ParameterizedRowMapper<T>

  `ParameterizedRowMapper` implementation that converts a row into a new instance of the specified mapped target class. The mapped target class must be a top-level class and it must have a default or no-arg constructor.

  Uses Java 5 covariant return types to override the return type of the `BeanPropertyRowMapper.mapRow(java.sql.ResultSet, int)` method to be the type parameter `T`.

  Column values are mapped based on matching the column name as obtained from result set metadata to public setters for the corresponding properties. The names are matched either directly or by transforming a name separating the parts with underscores to the same name using "camel" case.

  Mapping is provided for fields in the target class for many common types, e.g.: String, boolean, Boolean, byte, Byte, short, Short, int, Integer, long, Long, float, Float, double, Double, BigDecimal, `java.util.Date`, etc.

  The mapper can be configured to use the primitives default value when mapping null values by setting the '`primitivesDefaultedForNullValue`' flag to 'true'.

  To facilitate mapping between columns and fields that don't have matching names, try using column aliases in the SQL statement like "select fname as first_name from customer".

  Please note that this class is designed to provide convenience rather than high performance. For best performance consider using a custom RowMapper.

  Since:
    2.5
  Author:
    Thomas Risberg, Juergen Hoeller
  See Also:
    `ParameterizedRowMapper`

- - ### Field Summary

    - ### Fields inherited from class org.springframework.jdbc.core.BeanPropertyRowMapper

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterizedBeanPropertyRowMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ParameterizedBeanPropertyRowMapper<T>` | `newInstance(Class<T> mappedClass)` Static factory method to create a new ParameterizedBeanPropertyRowMapper (with the mapped class specified only once).

    - ### Methods inherited from class org.springframework.jdbc.core.BeanPropertyRowMapper

      `getColumnValue, getMappedClass, initBeanWrapper, initialize, isCheckFullyPopulated, isPrimitivesDefaultedForNullValue, mapRow, setCheckFullyPopulated, setMappedClass, setPrimitivesDefaultedForNullValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.jdbc.core.RowMapper

      `mapRow`

- - ### Constructor Detail

    - #### ParameterizedBeanPropertyRowMapper

          public ParameterizedBeanPropertyRowMapper()

  - ### Method Detail

    - #### newInstance

          public static <T> ParameterizedBeanPropertyRowMapper<T> newInstance(Class<T> mappedClass)

      Static factory method to create a new ParameterizedBeanPropertyRowMapper (with the mapped class specified only once).
      Parameters:
        `mappedClass` - the class that each row should be mapped to